package org.jeecg.modules.cas.service;

import org.jeecg.modules.cas.entity.WellboreUser;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface IWellboreAuthQuery {
    /**
     *  调用井筒认证中心接口获取用户信息
     * @param casAccount
     * @return
     * @throws IOException
     */
    WellboreUser queryCasLogginedUserInformation(String casAccount) throws IOException;

    /**
     * 查询二级单位列表
     * @return
     */
    List<Map<String, Object>> queryEjdwList();

    /**
     * 截取用户所属的二级单位
     * @param casAccount
     * @return
     */
    String getEjdwInFullName(String casAccount);

    /**
     * 用户是否是二级单位用户
     * @param casAccout
     * @return
     */
    Boolean isEjdwUser(String casAccout);

    /**
     * 用户是否可以查看所有井
     * @param casAccount
     * @return
     */
    Boolean canAccessAllWells(String casAccount);

    /**
     * 获取cas认证后的统一账号
     * @return_user
     */
    String getSessionCasName();
}
